
Foreman - Bug #900

searching on time is not correct

05/16/2011 09:26 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Search   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I am guessing that there is an issue with timezones when doing a search. If I select "hosts - active" then the search generates

"last_report > "35 minutes ago" and (status.applied > 0 or status.restarted > 0)". There are no hosts returned with this search. If I

change this to "last_report > "95 minutes ago" and (status.applied > 0 or status.restarted > 0)" then I get the expected, huge, list. Of

course I could be wrong and this may not be an issue with timezones. . . .

Related issues:

Is duplicate of Foreman - Bug #938: Editing out_of_sync bookmark results in a... Duplicate 05/24/2011

Associated revisions

Revision 1baed2e3 - 05/22/2011 10:13 AM - Amos Benari

fixes #900 - search by "x minutes ago" and the charts in show host

Signed-off-by: Amos Benari <abenari@redhat.com>

History

#1 - 05/16/2011 02:59 PM - Ohad Levy

Paul, can you double check that your foreman host time is synced correctly?

does it happen with all time stamp fields? (such as installed_at)

#2 - 05/19/2011 07:41 AM - Amos Benari

- Assignee set to Amos Benari

#3 - 05/22/2011 05:09 AM - Ohad Levy

- Target version set to 0.3

#4 - 05/22/2011 01:11 PM - Amos Benari

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 1baed2e33b9a27e4d9a575ea6941d892f732e583.

#5 - 05/23/2011 09:36 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
